Subject: READ THIS if you use RAIDframe in -current....
To: None <>
From: Greg Oster <>
List: current-users
Date: 09/30/2002 16:25:58
[same message as previous post, but with a better subject line...]

If you are running RAIDframe with autoconfig, *DO NOT* upgrade to 
the latest -current.  Someone has changed the way raidattach() is called, 
and this has royally messed up the RAIDframe autoconfig stuff.  In particular, 
raidattach() is called *BEFORE* any of the disks have been setup, which means 
that when RAIDframe goes looking for things to autoconfigure, it can't find
any!  So yes, this means that if you have "root-on-raid" it WILL NOT WORK
right now, so don't run -current.

I'm not sure how or why or where this is broken, but colour me "not amused".

I will send another email once this issue has been resolved.



Greg Oster